[Consolidated,&,Tested,11/35] machine/qemu: set preferred linux-yocto kernel version

Submitted by Saul Wold on July 27, 2011, 7:47 a.m.

Details

Message ID 76167cf3007ce83ddbff0048a1d802160bfd2cdf.1311752531.git.sgw@linux.intel.com
State New, archived
Headers show

Commit Message

Saul Wold July 27, 2011, 7:47 a.m.
From: Bruce Ashfield <bruce.ashfield@windriver.com>

The introduction of the linux-yocto-3.0 kernel is taking
precedence over the known working 2.6.37 version. Forcing
2.6.37 until 3.0 is validated on the qemu machines.

Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
---
 meta/conf/machine/include/qemu.inc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

Patch hide | download patch | download mbox

diff --git a/meta/conf/machine/include/qemu.inc b/meta/conf/machine/include/qemu.inc
index 9ef242f..4cab6f3 100644
--- a/meta/conf/machine/include/qemu.inc
+++ b/meta/conf/machine/include/qemu.inc
@@ -12,6 +12,7 @@  RDEPENDS_kernel-base = ""
 
 # Use a common kernel recipe for all QEMU machines
 PREFERRED_PROVIDER_virtual/kernel ?= "linux-yocto"
+PREFERRED_VERSION_linux-yocto ?= "2.6.37+git%"
 #PREFERRED_PROVIDER_linux-libc-headers ?= "linux-libc-headers-yocto"
 
 EXTRA_IMAGEDEPENDS += "qemu-native qemu-helper-native"